<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <FileVersion>0.0.0.1</FileVersion>
        <Company>JacobTech, LLC</Company>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <DefineConstants />
      <DebugType>none</DebugType>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <NoWarn>1701;1702;IL2121;MSB3246</NoWarn>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="GraphicsManager" Version="1.0.9-alpha72" />
      <PackageReference Include="Luski.net" Version="2.0.0-alpha89" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Include="Resources/**"></EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="GUI\Windows\" />
    </ItemGroup>


    <PropertyGroup>
        <ApplicationIcon>Luski.ico</ApplicationIcon>
    </PropertyGroup>

</Project>
